SeExpr

Signals | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
ExprCSwatchFrame Class Reference

`#include <ExprColorCurve.h>`

Inheritance diagram for ExprCSwatchFrame:

## Signals
void | selValChangedSignal (SeExpr2::Vec3d value)
void | swatchChanged (QColor color)

## Public Member Functions
| ExprCSwatchFrame (SeExpr2::Vec3d value, QWidget *parent=0)
| ~ExprCSwatchFrame ()
void | setValue (const SeExpr2::Vec3d &value)
SeExpr2::Vec3d | getValue () const

## Protected Member Functions
virtual void | paintEvent (QPaintEvent *event)
virtual void | mousePressEvent (QMouseEvent *event)

## Private Attributes
SeExpr2::Vec3d | _value
QColor | _color

## Detailed Description

Definition at line 115 of file ExprColorCurve.h.

## Constructor & Destructor Documentation

## ◆ ExprCSwatchFrame()

ExprCSwatchFrame::ExprCSwatchFrame | ( | SeExpr2::Vec3d | value,
|  | QWidget * | parent = `0`
| ) |  |

Definition at line 315 of file ExprColorCurve.cpp.

References _color, and _value.

## ◆ ~ExprCSwatchFrame()

ExprCSwatchFrame::~ExprCSwatchFrame | ( |  | ) |
| inline

Definition at line 119 of file ExprColorCurve.h.

## Member Function Documentation

## ◆ getValue()

SeExpr2::Vec3d ExprCSwatchFrame::getValue | ( |  | ) | const

Definition at line 326 of file ExprColorCurve.cpp.

References _value.

Referenced by ExprColorCurve::getSwatchColor(), and VectorControl::swatchChanged().

## ◆ mousePressEvent()

void ExprCSwatchFrame::mousePressEvent | ( | QMouseEvent * | event | ) |
| protected virtual

Definition at line 328 of file ExprColorCurve.cpp.

References _color, _value, selValChangedSignal(), and swatchChanged().

## ◆ paintEvent()

void ExprCSwatchFrame::paintEvent | ( | QPaintEvent * | event | ) |
| protected virtual

Definition at line 309 of file ExprColorCurve.cpp.

References _color, and p.

## ◆ selValChangedSignal

void ExprCSwatchFrame::selValChangedSignal | ( | SeExpr2::Vec3d | value | ) |
| signal

Referenced by mousePressEvent().

## ◆ setValue()

void ExprCSwatchFrame::setValue | ( | const SeExpr2::Vec3d & | value | ) |

Definition at line 319 of file ExprColorCurve.cpp.

References _color, _value, and value().

Referenced by ExprColorCurve::cvSelectedSlot(), ExprColorCurve::setSwatchColor(), and VectorControl::setValue().

## ◆ swatchChanged

void ExprCSwatchFrame::swatchChanged | ( | QColor | color | ) |
| signal

Referenced by mousePressEvent().

## Member Data Documentation

## ◆ _color

QColor ExprCSwatchFrame::_color
| private

Definition at line 134 of file ExprColorCurve.h.

Referenced by ExprCSwatchFrame(), mousePressEvent(), paintEvent(), and setValue().

## ◆ _value

SeExpr2::Vec3d ExprCSwatchFrame::_value
| private

Definition at line 133 of file ExprColorCurve.h.

Referenced by ExprCSwatchFrame(), getValue(), mousePressEvent(), and setValue().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprColorCurve.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprColorCurve.cpp